﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Barsalt.ParameterSystem.Exceptions {
	class ParameterKeyException : Exception {
		#region OBJECT_ATTRIBUTES
		//==========================================================================
		private readonly string key;
		//==========================================================================
		#endregion

		#region CONSTRUCTOR
		//==========================================================================
		public ParameterKeyException(string key) : base ("No KEY[" + key + "] was found"){
			this.key = key;
		}
		//==========================================================================
		#endregion

		#region GETTER_AND_SETTER
		//==========================================================================
		public string Key{
			get{
				return key;
			}
		}
		//==========================================================================
		#endregion
	}
}
